org.opencv.highgui

## Class ImageWindow

- java.lang.Object
- - org.opencv.highgui.ImageWindow

-     public final class ImageWindow
      extends Object

  This class was designed to create and manipulate the Windows to be used by the HighGui class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Boolean` | `alreadyUsed`
    `int` | `flag`
    `JFrame` | `frame`
    `int` | `height`
    `Mat` | `img`
    `Boolean` | `imgToBeResized`
    `JLabel` | `lbl`
    `String` | `name`
    `Boolean` | `positionToBeChanged`
    `int` | `width`
    `static int` | `WINDOW_AUTOSIZE`
    `static int` | `WINDOW_NORMAL`
    `Boolean` | `windowToBeResized`
    `int` | `x`
    `int` | `y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageWindow(String name, int flag)`
    `ImageWindow(String name, Mat img)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Size` | `keepAspectRatioSize(int original_width, int original_height, int bound_width, int bound_height)`
    `void` | `setFrameLabelVisible(JFrame frame, JLabel lbl)`
    `void` | `setMat(Mat img)`
    `void` | `setNewDimension(int width, int height)`
    `void` | `setNewPosition(int x, int y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WINDOW_NORMAL

          public static final int WINDOW_NORMAL

      See Also:
        Constant Field Values

    - #### WINDOW_AUTOSIZE

          public static final int WINDOW_AUTOSIZE

      See Also:
        Constant Field Values

    - #### name

          public String name

    - #### img

          public Mat img

    - #### alreadyUsed

          public Boolean alreadyUsed

    - #### imgToBeResized

          public Boolean imgToBeResized

    - #### windowToBeResized

          public Boolean windowToBeResized

    - #### positionToBeChanged

          public Boolean positionToBeChanged

    - #### frame

          public JFrame frame

    - #### lbl

          public JLabel lbl

    - #### flag

          public int flag

    - #### x

          public int x

    - #### y

          public int y

    - #### width

          public int width

    - #### height

          public int height

  - ### Constructor Detail

    - #### ImageWindow

          public ImageWindow(String name,
                             Mat img)

    - #### ImageWindow

          public ImageWindow(String name,
                             int flag)

  - ### Method Detail

    - #### keepAspectRatioSize

          public static Size keepAspectRatioSize(int original_width,
                                                 int original_height,
                                                 int bound_width,
                                                 int bound_height)

    - #### setMat

          public void setMat(Mat img)

    - #### setFrameLabelVisible

          public void setFrameLabelVisible(JFrame frame,
                                           JLabel lbl)

    - #### setNewDimension

          public void setNewDimension(int width,
                                      int height)

    - #### setNewPosition

          public void setNewPosition(int x,
                                     int y)

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8